Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.experiment
Interface TimeUnitInterface

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  TimeUnit

public interface TimeUnitInterface
extends java.io.Serializable

The TimeUnitInterface defines the simulator time units.
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  2.0 21.09.2003
Author:
  Peter Jacobs , Alexander Verbraeck

Field Summary
`static TimeUnitInterface` | `DAY` DAY reflects the DAY
`static TimeUnitInterface` | `HOUR` HOUR reflects the HOUR
`static TimeUnitInterface` | `MILLISECOND` MILLISECOND reflects the MILLISECONDS
`static TimeUnitInterface` | `MINUTE` MINUTE reflects the MINUTE
`static TimeUnitInterface` | `SECOND` SECOND reflects the SECOND
`static TimeUnitInterface` | `UNIT` UNIT reflects the non actual time related unit
`static TimeUnitInterface` | `WEEK` WEEK reflects the WEEK

Method Summary
`long` | `getValue()` Method getValue.This method returns the number of timeunits relative to milliseconds

Field Detail

### UNIT

    public static final TimeUnitInterface UNIT

  UNIT reflects the non actual time related unit

### MILLISECOND

    public static final TimeUnitInterface MILLISECOND

  MILLISECOND reflects the MILLISECONDS

### SECOND

    public static final TimeUnitInterface SECOND

  SECOND reflects the SECOND

### MINUTE

    public static final TimeUnitInterface MINUTE

  MINUTE reflects the MINUTE

### HOUR

    public static final TimeUnitInterface HOUR

  HOUR reflects the HOUR

### DAY

    public static final TimeUnitInterface DAY

  DAY reflects the DAY

### WEEK

    public static final TimeUnitInterface WEEK

  WEEK reflects the WEEK

Method Detail

### getValue

    public long getValue()

  Method getValue.This method returns the number of timeunits relative to milliseconds

  Returns:
    long

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.